package com.xxfc.platform.order.contant.enumerate;

import java.util.HashMap;
import java.util.Map;

public enum OrderTypeEnum {
    RentVehicle(1, "租车订单"),
    TOUR(2, "旅游订单"),
    MEMBER(3, "会员订单"),
    ;
    /**
     * 编码
     */
    private Integer code;
    /**
     * 类型描述
     */
    private String desc;

    private static Map<Integer,String> codeAndDesc = new HashMap<Integer, String>();
            //Maps.newHashMap();

//    static{
//        for(VehicleBookRecordStatus constantType : VehicleBookRecordStatus.values()){
//            codeAndDesc.put(constantType.getCode(),constantType.getDesc());
//        }
//    }

    OrderTypeEnum(Integer code, String desc){
        this.code=code;
        this.desc=desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static Boolean exists(Integer code){
        return codeAndDesc.containsKey(code);
    }
}